summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-06-18 11:10:54 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:18:26 -0500
commit7dcb8c26de72543bdf0fe6a6cdd736ee697345b7 (patch)
treeb72739d3c7cbcf60f9d8ea544b52666851eb808f
parentb4eee348c4d36e67ba83651c250366e84e7125dd (diff)
downloadsamba-7dcb8c26de72543bdf0fe6a6cdd736ee697345b7.tar.gz
samba-7dcb8c26de72543bdf0fe6a6cdd736ee697345b7.tar.bz2
samba-7dcb8c26de72543bdf0fe6a6cdd736ee697345b7.zip
r7721: solve a problem with null arguments to testit()
(This used to be commit 73a21737cea295c09255997e5830c68ad390a4de)
-rwxr-xr-xsource4/script/tests/test_ldap.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/source4/script/tests/test_ldap.sh b/source4/script/tests/test_ldap.sh
index 6d31829845..2e17cda095 100755
--- a/source4/script/tests/test_ldap.sh
+++ b/source4/script/tests/test_ldap.sh
@@ -13,7 +13,7 @@ SERVER="$1"
incdir=`dirname $0`
. $incdir/test_functions.sh
-testit "RootDSE" bin/ldbsearch -b "''" -H ldap://$SERVER -s base DUMMY=x dnsHostName highestCommittedUSN || failed=`expr $failed + 1`
+testit "RootDSE" bin/ldbsearch --basedn='' -H ldap://$SERVER -s base DUMMY=x dnsHostName highestCommittedUSN || failed=`expr $failed + 1`
echo "Getting defaultNamingContext"
BASEDN=`bin/ldbsearch -b '' -H ldap://$SERVER -s base DUMMY=x defaultNamingContext | grep ^defaultNamingContext | awk '{print $2}'`